<template>
  <v-app id="inspire">
    <AppAsideBar>
    </AppAsideBar>

    <AppHeader>
    </AppHeader>

    <v-main>
      <v-container class="py-8 px-6" fluid>
        <v-row>
          <v-col>
            <router-view />
          </v-col>
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>

<script setup lang="ts">
  // import { ref, onMounted } from 'vue'
  import AppHeader from '../../components/AppHeader.vue'
  import AppAsideBar from '../../components/AppAsideBar.vue'
  import { useDisplay, useTheme } from 'vuetify'
  import { useDashboardStore } from '../../store/dashboard/index.js'

  const dashboard = useDashboardStore();
  const { name } = useDisplay()

  if(name.value == "xs" || name.value == "sm" || name.value == "md"){
    dashboard.setDrawer(false);
  }else{
    dashboard.setDrawer(true);
  }
</script>